Module org.firebirdsql.jaybird
Package org.firebirdsql.gds

# Interface JaybirdErrorCodes

public interface JaybirdErrorCodes
Constants for Jaybird specific error codes.

The error code of Jaybird use the same scheme as the rest of Firebird error codes. The error codes are not maintained within Firebird, but here and in associated files `jaybird_error_msg.properties` and `jaybird_error_sqlstates.properties`

For error codes, Firebird has reserved facility code `26` for Jaybird. Facility code 26 has error codes in range 337248256 - 337264639. See Firebird `src\common\msg_encode.h` for calculation of this range.

Since:
  3.0
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`jb_addBatchWithTxStmt`
`static final int`
`jb_attemptToDestroyManagedConnectionActiveTx`
`static final int`
`jb_blobClosed`
`static final int`
`jb_blobGetSegmentNegative`
`static final int`
`jb_blobIdAlreadySet`
`static final int`
`jb_blobPutSegmentEmpty`
`static final int`
`jb_blobPutSegmentTooLong`
Deprecated.
Jaybird no longer uses this error code
`static final int`
`jb_cannotInstantiateConnection`
`static final int`
`jb_closeCursorBeforeCount`
`static final int`
`jb_clumpletReaderUsageError`
`static final int`
`jb_commitStatementNotAllowed`
`static final int`
`jb_concurrencyResetReadOnlyReasonNotUpdatable`
`static final int`
`jb_concurrencyResetReadOnlyReasonStoredProcedure`
`static final int`
`jb_couldNotChangeSoTimeout`
`static final int`
`jb_cryptAlgorithmNotAvailable`
`static final int`
`jb_cryptInvalidKey`
`static final int`
`jb_cryptNoCryptKeyAvailable`
`static final int`
`jb_dbCryptCallbackInitError`
`static final int`
`jb_dbCryptDataError`
`static final int`
`jb_errorAsynchronousEventChannelClose`
`static final int`
`jb_eventHandleNotInitialized`
`static final int`
`jb_executeImmediateRequiresNoTransactionDetached`
`static final int`
`jb_executeImmediateRequiresTransactionAttached`
`static final int`
`jb_executeQueryWithTxStmt`
`static final int`
`jb_explainedExecutionPlanNotSupported`
`static final int`
`jb_failedToLoadNativeLibrary`
`static final int`
`jb_generatedKeysArrayEmptyOrNull`
`static final int`
`jb_generatedKeysInvalidColumnPosition`
`static final int`
`jb_generatedKeysNoColumnsFound`
`static final int`
`jb_generatedKeysSupportNotAvailable`
`static final int`
`jb_hashAlgorithmNotAvailable`
`static final int`
`jb_infoResponseEmpty`
`static final int`
`jb_invalidClumpletStructure`
`static final int`
`jb_invalidConnectionPropertyValue`
`static final int`
`jb_invalidConnectionString`
`static final int`
`jb_invalidEventHandleType`
`static final int`
`jb_invalidExecutor`
`static final int`
`jb_invalidFetchDirection`
`static final int`
`jb_invalidFetchSize`
`static final int`
`jb_invalidGeneratedKeysOption`
`static final int`
`jb_invalidParameterCount`
`static final int`
`jb_invalidResultSetConcurrency`
`static final int`
`jb_invalidResultSetHoldability`
`static final int`
`jb_invalidResultSetType`
`static final int`
`jb_invalidTimeout`
`static final int`
`jb_invalidTransactionHandleType`
`static final int`
`jb_invalidTransactionStateTransition`
`static final int`
`jb_localTransactionActive`
`static final int`
`jb_maxStatementLengthExceeded`
`static final int`
`jb_noKnownAuthPlugins`
`static final int`
`jb_notAttachedToDatabase`
`static final int`
`jb_notConnectedToServer`
`static final int`
`jb_operationClosed`
`static final int`
`jb_operationNotAllowedOnForwardOnly`
`static final int`
`jb_operationNotCancellable`
`static final int`
`jb_parameterNotSet`
`static final int`
`jb_prepareCallWithTxStmt`
`static final int`
`jb_range_end`
`static final int`
`jb_range_start`
`static final int`
`jb_receiveTrustedAuth_NotSupported`
`static final int`
`jb_resultSetTypeDowngradeReasonScrollSensitive`
`static final int`
`jb_resultSetTypeUpgradeReasonHoldability`
Deprecated.
Jaybird no longer uses this error code
`static final int`
`jb_rollbackStatementNotAllowed`
`static final int`
`jb_setTransactionNotAllowedActiveTx`
`static final int`
`jb_setTransactionNotAllowedInAutoCommit`
`static final int`
`jb_setTransactionStatementNotAllowed`
`static final int`
`jb_statementNotAssociatedWithConnection`
Deprecated.
Jaybird no longer uses this error code
`static final int`
`jb_stmtClosed`
`static final int`
`jb_stmtInErrorRequireClose`
`static final int`
`jb_stmtInErrorRequireCLose`
Deprecated, for removal: This API element is subject to removal in a future version.
use `jb_stmtInErrorRequireClose`
`static final int`
`jb_stmtNotAllocated`
`static final int`
`jb_unableToCancelEventReasonNotConnected`
`static final int`
`jb_unexpectedInfoResponse`
`static final int`
`jb_unexpectedOperationCode`
`static final int`
`jb_unsupportedFieldType`

## Field Details

### jb_range_start

static final int jb_range_start

See Also:
  - Constant Field Values

### jb_blobGetSegmentNegative

static final int jb_blobGetSegmentNegative

See Also:
  - Constant Field Values

### jb_blobPutSegmentEmpty

static final int jb_blobPutSegmentEmpty

See Also:
  - Constant Field Values

### jb_blobPutSegmentTooLong

@Deprecated(since="6") static final int jb_blobPutSegmentTooLong
Deprecated.
Jaybird no longer uses this error code

See Also:
  - Constant Field Values

### jb_blobIdAlreadySet

static final int jb_blobIdAlreadySet

See Also:
  - Constant Field Values

### jb_invalidClumpletStructure

static final int jb_invalidClumpletStructure

See Also:
  - Constant Field Values

### jb_clumpletReaderUsageError

static final int jb_clumpletReaderUsageError

See Also:
  - Constant Field Values

### jb_invalidConnectionString

static final int jb_invalidConnectionString

See Also:
  - Constant Field Values

### jb_concurrencyResetReadOnlyReasonNotUpdatable

static final int jb_concurrencyResetReadOnlyReasonNotUpdatable

See Also:
  - Constant Field Values

### jb_resultSetTypeUpgradeReasonHoldability

@Deprecated(since="6") static final int jb_resultSetTypeUpgradeReasonHoldability
Deprecated.
Jaybird no longer uses this error code

See Also:
  - Constant Field Values

### jb_resultSetTypeDowngradeReasonScrollSensitive

static final int jb_resultSetTypeDowngradeReasonScrollSensitive

See Also:
  - Constant Field Values

### jb_concurrencyResetReadOnlyReasonStoredProcedure

static final int jb_concurrencyResetReadOnlyReasonStoredProcedure

See Also:
  - Constant Field Values

### jb_errorAsynchronousEventChannelClose

static final int jb_errorAsynchronousEventChannelClose

See Also:
  - Constant Field Values

### jb_unableToCancelEventReasonNotConnected

static final int jb_unableToCancelEventReasonNotConnected

See Also:
  - Constant Field Values

### jb_executeImmediateRequiresTransactionAttached

static final int jb_executeImmediateRequiresTransactionAttached

See Also:
  - Constant Field Values

### jb_executeImmediateRequiresNoTransactionDetached

static final int jb_executeImmediateRequiresNoTransactionDetached

See Also:
  - Constant Field Values

### jb_receiveTrustedAuth_NotSupported

static final int jb_receiveTrustedAuth_NotSupported

See Also:
  - Constant Field Values

### jb_notConnectedToServer

static final int jb_notConnectedToServer

See Also:
  - Constant Field Values

### jb_notAttachedToDatabase

static final int jb_notAttachedToDatabase

See Also:
  - Constant Field Values

### jb_maxStatementLengthExceeded

static final int jb_maxStatementLengthExceeded

See Also:
  - Constant Field Values

### jb_unexpectedOperationCode

static final int jb_unexpectedOperationCode

See Also:
  - Constant Field Values

### jb_unsupportedFieldType

static final int jb_unsupportedFieldType

See Also:
  - Constant Field Values

### jb_invalidFetchDirection

static final int jb_invalidFetchDirection

See Also:
  - Constant Field Values

### jb_operationNotAllowedOnForwardOnly

static final int jb_operationNotAllowedOnForwardOnly

See Also:
  - Constant Field Values

### jb_cryptNoCryptKeyAvailable

static final int jb_cryptNoCryptKeyAvailable

See Also:
  - Constant Field Values

### jb_cryptAlgorithmNotAvailable

static final int jb_cryptAlgorithmNotAvailable

See Also:
  - Constant Field Values

### jb_cryptInvalidKey

static final int jb_cryptInvalidKey

See Also:
  - Constant Field Values

### jb_invalidConnectionPropertyValue

static final int jb_invalidConnectionPropertyValue

See Also:
  - Constant Field Values

### jb_dbCryptCallbackInitError

static final int jb_dbCryptCallbackInitError

See Also:
  - Constant Field Values

### jb_dbCryptDataError

static final int jb_dbCryptDataError

See Also:
  - Constant Field Values

### jb_hashAlgorithmNotAvailable

static final int jb_hashAlgorithmNotAvailable

See Also:
  - Constant Field Values

### jb_noKnownAuthPlugins

static final int jb_noKnownAuthPlugins

See Also:
  - Constant Field Values

### jb_invalidGeneratedKeysOption

static final int jb_invalidGeneratedKeysOption

See Also:
  - Constant Field Values

### jb_generatedKeysSupportNotAvailable

static final int jb_generatedKeysSupportNotAvailable

See Also:
  - Constant Field Values

### jb_generatedKeysArrayEmptyOrNull

static final int jb_generatedKeysArrayEmptyOrNull

See Also:
  - Constant Field Values

### jb_generatedKeysInvalidColumnPosition

static final int jb_generatedKeysInvalidColumnPosition

See Also:
  - Constant Field Values

### jb_generatedKeysNoColumnsFound

static final int jb_generatedKeysNoColumnsFound

See Also:
  - Constant Field Values

### jb_explainedExecutionPlanNotSupported

static final int jb_explainedExecutionPlanNotSupported

See Also:
  - Constant Field Values

### jb_failedToLoadNativeLibrary

static final int jb_failedToLoadNativeLibrary

See Also:
  - Constant Field Values

### jb_blobClosed

static final int jb_blobClosed

See Also:
  - Constant Field Values

### jb_invalidTimeout

static final int jb_invalidTimeout

See Also:
  - Constant Field Values

### jb_invalidExecutor

static final int jb_invalidExecutor

See Also:
  - Constant Field Values

### jb_operationClosed

static final int jb_operationClosed

See Also:
  - Constant Field Values

### jb_closeCursorBeforeCount

static final int jb_closeCursorBeforeCount

See Also:
  - Constant Field Values

### jb_invalidParameterCount

static final int jb_invalidParameterCount

See Also:
  - Constant Field Values

### jb_parameterNotSet

static final int jb_parameterNotSet

See Also:
  - Constant Field Values

### jb_stmtNotAllocated

static final int jb_stmtNotAllocated

See Also:
  - Constant Field Values

### jb_stmtClosed

static final int jb_stmtClosed

See Also:
  - Constant Field Values

### jb_stmtInErrorRequireClose

static final int jb_stmtInErrorRequireClose

See Also:
  - Constant Field Values

### jb_stmtInErrorRequireCLose

@Deprecated(forRemoval=true, since="6") static final int jb_stmtInErrorRequireCLose
Deprecated, for removal: This API element is subject to removal in a future version.
use `jb_stmtInErrorRequireClose`

See Also:
  - Constant Field Values

### jb_invalidTransactionStateTransition

static final int jb_invalidTransactionStateTransition

See Also:
  - Constant Field Values

### jb_unexpectedInfoResponse

static final int jb_unexpectedInfoResponse

See Also:
  - Constant Field Values

### jb_infoResponseEmpty

static final int jb_infoResponseEmpty

See Also:
  - Constant Field Values

### jb_couldNotChangeSoTimeout

static final int jb_couldNotChangeSoTimeout

See Also:
  - Constant Field Values

### jb_localTransactionActive

static final int jb_localTransactionActive

See Also:
  - Constant Field Values

### jb_invalidFetchSize

static final int jb_invalidFetchSize

See Also:
  - Constant Field Values

### jb_operationNotCancellable

static final int jb_operationNotCancellable

See Also:
  - Constant Field Values

### jb_executeQueryWithTxStmt

static final int jb_executeQueryWithTxStmt

See Also:
  - Constant Field Values

### jb_commitStatementNotAllowed

static final int jb_commitStatementNotAllowed

See Also:
  - Constant Field Values

### jb_rollbackStatementNotAllowed

static final int jb_rollbackStatementNotAllowed

See Also:
  - Constant Field Values

### jb_setTransactionStatementNotAllowed

static final int jb_setTransactionStatementNotAllowed

See Also:
  - Constant Field Values

### jb_setTransactionNotAllowedInAutoCommit

static final int jb_setTransactionNotAllowedInAutoCommit

See Also:
  - Constant Field Values

### jb_setTransactionNotAllowedActiveTx

static final int jb_setTransactionNotAllowedActiveTx

See Also:
  - Constant Field Values

### jb_statementNotAssociatedWithConnection

@Deprecated(since="6") static final int jb_statementNotAssociatedWithConnection
Deprecated.
Jaybird no longer uses this error code

See Also:
  - Constant Field Values

### jb_addBatchWithTxStmt

static final int jb_addBatchWithTxStmt

See Also:
  - Constant Field Values

### jb_prepareCallWithTxStmt

static final int jb_prepareCallWithTxStmt

See Also:
  - Constant Field Values

### jb_invalidResultSetType

static final int jb_invalidResultSetType

See Also:
  - Constant Field Values

### jb_invalidResultSetConcurrency

static final int jb_invalidResultSetConcurrency

See Also:
  - Constant Field Values

### jb_invalidResultSetHoldability

static final int jb_invalidResultSetHoldability

See Also:
  - Constant Field Values

### jb_invalidTransactionHandleType

static final int jb_invalidTransactionHandleType

See Also:
  - Constant Field Values

### jb_invalidEventHandleType

static final int jb_invalidEventHandleType

See Also:
  - Constant Field Values

### jb_eventHandleNotInitialized

static final int jb_eventHandleNotInitialized

See Also:
  - Constant Field Values

### jb_attemptToDestroyManagedConnectionActiveTx

static final int jb_attemptToDestroyManagedConnectionActiveTx

See Also:
  - Constant Field Values

### jb_cannotInstantiateConnection

static final int jb_cannotInstantiateConnection

See Also:
  - Constant Field Values

### jb_range_end

static final int jb_range_end

See Also:
  - Constant Field Values